import { colorSetToVariants } from '../color-set/index.js';
const template = {
    name: 'Slack sidebar',
    render: async function* (colorSet) {
        yield* colorSetToVariants(colorSet).map(({ title, colors }) => ({
            path: `${title.kebab}.txt`,
            content: [
                colors.shade0,
                colors.shade1,
                colors.shade3,
                colors.shade7,
                colors.shade2,
                colors.shade7,
                colors.accent2,
                colors.accent6, // Mention Badge
            ].join(','),
        }));
    },
    renderInstructions: (paths) => {
        const formattedPaths = paths.map((p) => `\`${p}\``).join(' or ');
        return `Copy the contents of ${formattedPaths} and paste into the custom theme input in Slack's preferences.`;
    },
};
export default template;
//# sourceMappingURL=slack.js.map